<form [formGroup]="form" (ngSubmit)="onSubmit()">
  <app-details>
    <span summary class="visualy-hidden">{{ 'COORDINATION.DETAILS.HOW_TO' | translate }}</span>
    <div class="details-content">
      <p [innerHTML]="'COORDINATION.HELPS.USEFUL' | translate"></p>
    </div>
  </app-details>
  <button app-button type="button" color="primary" class="top-title no-style" (click)="edit(form, 'toptitle')">
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 934.95 92.85" aria-hidden="true">
      <defs>
        <style>
          .top-title-1,
          .top-title-2 {
            fill: var(--coord-top-title);
          }

          .top-title-2 {
            stroke: var(--coord-section-btn);
            stroke-miterlimit: 10;
            stroke-width: 6px;
          }
        </style>
      </defs>
      <rect class="top-title-1" x="0.42" y="63.06" width="934.92" height="29.52" />
      <path class="top-title-1"
        d="M935.34,63c-.06-.12-.09-.25-.14-.37A23.27,23.27,0,0,0,931.41,52a38.39,38.39,0,0,0-4.4-7.16c-5.78-7.67-13.51-12.83-16.75-15C881,10.48,828.57,32.2,757.55,38.59c-62.63,5.63-129.74-1.56-144-3.17-43.86-5-69.09-11.68-98.11,2.37-2,1-4.09,2.08-6.19,3.28H426.79c-2.26-1.3-4.49-2.48-6.65-3.53-29-14-54.25-7.34-98.11-2.38-14.26,1.62-81.37,8.8-144,3.17-71-6.39-123.47-28.1-152.71-8.7C21.17,32.38,9.66,40,4.29,51.57A23.44,23.44,0,0,0,.42,63.06a.26.26,0,0,1,0,.08v.67c0,.26,0,.51,0,.76v1h0v7.54h935Z" />
      <path class="top-title-2"
        d="M467.77,44.66c1.3,8.16-6.22,13.59-13.57,25s-9.86,21.69-11.31,21.23S441.73,80,440.11,73a4,4,0,0,0-1.57-2.61c-1.7-1-4.18.28-5.39.87-4.46,2.18-12.58,4.87-13.92,3.48-2.17-2.26,8.65-20.34,27-30.27,3.52-1.91,15-8.13,19.66-4A6.7,6.7,0,0,1,467.77,44.66Z" />
      <path class="top-title-2"
        d="M472.64,39.09c-1.95,2.72,1.55,7.55,6.27,16,11.46,20.53,15.3,35.85,17.74,35.14,2-.57,3.25-11.75,3.48-16,.06-.92.15-3.2,1.57-4s3.27.24,4.18.69c3.91,2,12.15,5.12,13.74,3.66C522.09,72.31,512,55.52,498.74,45a33.89,33.89,0,0,0-8.7-5C484.77,37.88,475.13,35.64,472.64,39.09Z" />
      <path class="top-title-2"
        d="M474.38,23.78A27.61,27.61,0,0,1,480.82,18c10-7.07,18-12.76,29.41-14.09,4.49-.52,7.64-.8,10.78,1,5.75,3.37,6.75,11.17,7.31,16,.37,3.19,2.84,27.68-10.09,34.27-5,2.57-5.87-.91-35.67-8.87-6.17-1.65-10.73-2.74-12.52-6.61C467.07,33.4,473.75,24.6,474.38,23.78Z" />
      <path class="top-title-2"
        d="M465.51,25.35c-1.6-4-5.38-6.6-12.87-11.66-7.9-5.33-13.66-9.13-22.1-10.26-3.89-.53-8-1-11.48,1.39s-4.37,6.11-5.57,11.13c-2.37,10-.89,17.88.35,24.19,2.05,10.42,4.76,12.83,6.61,13.92a11.82,11.82,0,0,0,4.7,1.39c6.87.84,11.83-1.86,18.79-4.7,14.33-5.84,16.12-3.68,19.31-7.65C467.17,38.21,467.73,30.87,465.51,25.35Z" />
      <path class="top-title-2"
        d="M476.3,21.17c-2.68-3.28-9.69-3.51-12.88-.17-.45.48-1.63,1.87-1.91,7.31-.34,6.73-.72,14.16,4,17.05,3.08,1.88,7.91,1.57,10.27-.87,1.19-1.24,1.43-3.14,1.91-7a43.52,43.52,0,0,0,0-10.09C477.32,24,477.14,22.2,476.3,21.17Z" />
    </svg>
    <span class="inputs-wrapper">
      Event: {{ form.value.event }}<br>
      Theme: {{ form.value.theme }}<br>
      Date: {{ form.value.date | localizedDate:'shortDate' }}<br>
      Place: {{ form.value.place }}<br>
    </span>
  </button>
  <ng-container *ngFor="let control of fieldsControls">
    <ng-container *ngIf="(control.controls.value | formArrayLength | async); else singleButton">
      <ng-container *ngIf="(control.controls.value | formArrayControls).length > 1; else singleButton">
        <ng-container *ngFor="let subcontrol of control.controls.value | formArrayControls">
          <button app-button type="button" color="primary" class="no-shadow small section-btn fw-normal" [ngClass]="control.value.type" (click)="edit(control, 'fields')">
            <span class="btn-content">{{ subcontrol.value | cacheItem | cacheItemName | async }}</span>
            <div class="img-container">
              <img [attr.src]="subcontrol.value | cacheItem | cacheItemPhoto | async" alt="Item photo">
            </div>
            <ng-container *ngTemplateOutlet="icons; context: { $implicit: control.value.type }"></ng-container>
          </button>
        </ng-container>
      </ng-container>
    </ng-container>
    <ng-template #singleButton>
      <button app-button type="button" color="primary" class="no-shadow small section-btn fw-normal" [class.empty]="control | coordinationFieldIsEmpty | async"
        [ngClass]="control.value.type" (click)="edit(control, 'fields')">
        <span *ngIf="control | coordinationFieldIsEmpty | async; else displayName" class="btn-content kaomoji">(･ั﹏･ั)・・・</span>
        <ng-template #displayName>
          <ng-container *ngIf="control.value.value | isArray; else notArrayValue">
            <span class="btn-content">{{ control.value.value[0] | cacheItem | cacheItemName | async }}</span>
            <div class="img-container">
              <img [attr.src]="control.value.value[0] | cacheItem | cacheItemPhoto | async" alt="Item photo">
            </div>
          </ng-container>
          <ng-template #notArrayValue>
            <ng-container>
              <span class="btn-content" [class.multiple]="control.value.customText !== ''">
                <span>{{ control.value.value | cacheItem | cacheItemName | async }}</span>
                <span class="customText" *ngIf="control.value.customText">{{ control.value.customText }}</span>
              </span>
              <div class="img-container" *ngIf="control.value.value">
                <img [attr.src]="control.value.value | cacheItem | cacheItemPhoto | async" alt="Item photo">
              </div>
            </ng-container>
          </ng-template>
        </ng-template>
        <ng-container *ngTemplateOutlet="icons; context: { $implicit: control.value.type }"></ng-container>
      </button>
    </ng-template>
  </ng-container>

  <button app-button type="button" color="primary" class="memo no-style" [class.empty]="[null, ''].includes(form.value.memo)" (click)="edit(form, 'memo')">
    <svg aria-hidden="true" class="memo-icon">
      <use xlink:href="#memo" />
    </svg>
    <span class="memo-value" *ngIf="form.value.memo; else emptyMemo" [innerHTML]="form.value.memo"></span>
    <ng-template #emptyMemo>
      <span class="memo-value" [innerHTML]="'COORDINATION.EMPTY_MEMO' | translate"></span>
    </ng-template>
  </button>

  <button type="submit" app-button class="circle" color="accent" [disabled]="form.invalid || form.pristine">
    <span class="visualy-hidden">{{ 'COORDINATION.SUBMIT' | translate }}</span>
    <svg aria-hidden="true">
      <use xlink:href="#save-icon" />
    </svg>
  </button>
</form>

<section class="floordination">
  <svg #floordination xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" [attr.width]="canvasWidth" [attr.height]="canvasHeight"
    viewBox="0 0 595.28 841.89">
    <defs>
      <style>
        .cls-1 {
          fill: #fff;
          stroke: #fff;
          stroke-miterlimit: 10;
          stroke-width: 4px;
        }

        .cls-2 {
          clip-path: url(#clip-path);
        }

        .cls-3 {
          clip-path: url(#clip-path-2);
        }

        .cls-4 {
          clip-path: url(#clip-path-3);
        }

        .cls-5 {
          clip-path: url(#clip-path-4);
        }

        .cls-6 {
          clip-path: url(#clip-path-5);
        }

        .cls-7 {
          clip-path: url(#clip-path-6);
        }

        .cls-8 {
          clip-path: url(#clip-path-7);
        }

        .cls-9 {
          clip-path: url(#clip-path-8);
        }

        .cls-10 {
          clip-path: url(#clip-path-9);
        }

        .cls-11 {
          clip-path: url(#clip-path-10);
        }

        .cls-12 {
          clip-path: url(#clip-path-11);
        }

        .cls-13 {
          clip-path: url(#clip-path-12);
        }

        .cls-14 {
          clip-path: url(#clip-path-13);
        }

        .cls-15 {
          clip-path: url(#clip-path-14);
        }

        .cls-16 {
          clip-path: url(#clip-path-15);
        }

        .cls-17 {
          clip-path: url(#clip-path-16);
        }

        .cls-18 {
          clip-path: url(#clip-path-17);
        }

        .cls-19 {
          clip-path: url(#clip-path-18);
        }
      </style>
      <clipPath id="clip-path">
        <rect #clipPathRect class="cls-1" x="145.94" y="177.03" width="305.49" height="474.97" />
      </clipPath>
      <clipPath id="clip-path-2">
        <rect #clipPathRect2 class="cls-1" x="63.15" y="20.88" width="137.38" height="137.3" transform="translate(14.55 -18.37) rotate(8.43)" />
      </clipPath>
      <clipPath id="clip-path-3">
        <rect #clipPathRect3 class="cls-1" x="377.82" y="119.37" width="166.53" height="210.53" transform="translate(-46.36 150.08) rotate(-17.62)" />
      </clipPath>
      <clipPath id="clip-path-4">
        <polygon #clipPathRect4 class="cls-1" points="533.37 646.52 376.56 614.35 416.06 413.5 572.87 445.66 533.37 646.52" />
      </clipPath>
      <clipPath id="clip-path-5">
        <rect #clipPathRect5 class="cls-1" x="195.11" y="528.55" width="118.22" height="208.19" />
      </clipPath>
      <clipPath id="clip-path-6">
        <rect #clipPathRect6 class="cls-1" x="15.17" y="263.86" width="127.64" height="127.64" transform="translate(51.46 -8.26) rotate(8.87)" />
      </clipPath>
      <clipPath id="clip-path-7">
        <rect #clipPathRect7 class="cls-1" x="18.99" y="537.81" width="166.03" height="113.28" transform="translate(122.15 -8.35) rotate(11.65)" />
      </clipPath>
      <clipPath id="clip-path-8">
        <rect #clipPathRect8 class="cls-1" x="7.32" y="647.92" width="166.03" height="113.28" transform="translate(34.8 -3.59) rotate(2.82)" />
      </clipPath>
      <clipPath id="clip-path-9">
        <rect #clipPathRect9 class="cls-1" x="438.49" y="32.76" width="131.82" height="81.6" transform="translate(62.03 -179.7) rotate(21.49)" />
      </clipPath>
      <clipPath id="clip-path-10">
        <rect #clipPathRect10 class="cls-1" x="114.75" y="730.94" width="131.22" height="85.25" transform="translate(137.89 -19.61) rotate(10.06)" />
      </clipPath>
      <clipPath id="clip-path-11">
        <rect #clipPathRect11 class="cls-1" x="408.99" y="590.48" width="159.54" height="111.42" transform="translate(-42.84 34.76) rotate(-3.9)" />
      </clipPath>
      <clipPath id="clip-path-12">
        <rect #clipPathRect12 class="cls-1" x="455.38" y="705.19" width="114" height="91" transform="translate(209.22 -106.14) rotate(14.83)" />
      </clipPath>
      <clipPath id="clip-path-13">
        <rect #clipPathRect13 class="cls-1" x="342.29" y="34.73" width="87.37" height="89.62" transform="translate(8.95 -35.15) rotate(5.28)" />
      </clipPath>
      <clipPath id="clip-path-14">
        <rect #clipPathRect14 class="cls-1" x="48.64" y="408.23" width="112.99" height="118.22" transform="translate(-125.02 47.23) rotate(-16.04)" />
      </clipPath>
      <clipPath id="clip-path-15">
        <rect #clipPathRect15 class="cls-1" x="430.57" y="330.82" width="88.66" height="87.5" transform="translate(189.33 -158.61) rotate(23.56)" />
      </clipPath>
      <clipPath id="clip-path-16">
        <rect #clipPathRect16 class="cls-1" x="66.04" y="169.89" width="88.66" height="87.5" transform="translate(-92.28 84.19) rotate(-30.11)" />
      </clipPath>
      <clipPath id="clip-path-17">
        <polygon #clipPathRect17 class="cls-1" points="447.46 799.75 280.84 818.62 269.74 711.05 436.36 692.18 447.46 799.75" />
      </clipPath>
      <clipPath id="clip-path-18">
        <rect #clipPathRect18 class="cls-1" x="200.34" y="93.33" width="140.19" height="93.11" />
      </clipPath>
    </defs>
    <g id="main_piece" appCoordinationSvgImages [form]="form" [fieldType]="CoordinationFieldTypes.MAIN_PIECE" [items]="1" #mainPiece="appCoordinationSvgImages">
      <ng-container *ngIf="mainPiece.images[0]">
        <rect id="main_piece-3" data-name="main piece" class="cls-1" x="145.94" y="177.03" width="305.49" height="474.97" />
        <g class="cls-2">
          <image appCoordinationSvgImage [image$]="mainPiece.images[0]" [clipPathRect]="clipPathRect" />
        </g>
      </ng-container>
    </g>
    <g id="hairstyle" appCoordinationSvgImages [form]="form" [fieldType]="CoordinationFieldTypes.HAIRSTYLE" [items]="1" #hairstyle="appCoordinationSvgImages">
      <ng-container *ngIf="hairstyle.images[0]">
        <rect class="cls-1" x="63.15" y="20.88" width="137.38" height="137.3" transform="translate(14.55 -18.37) rotate(8.43)" />
        <g class="cls-3">
          <image appCoordinationSvgImage [image$]="hairstyle.images[0]" [clipPathRect]="clipPathRect2" />
        </g>
      </ng-container>
    </g>
    <g id="topwear" appCoordinationSvgImages [form]="form" [fieldType]="CoordinationFieldTypes.TOPWEAR" [items]="1" #topwear="appCoordinationSvgImages">
      <ng-container *ngIf="topwear.images[0]">
        <rect class="cls-1" x="377.82" y="119.37" width="166.53" height="210.53" transform="translate(-46.36 150.08) rotate(-17.62)" />
        <g class="cls-4">
          <image appCoordinationSvgImage [image$]="topwear.images[0]" [clipPathRect]="clipPathRect3" />
        </g>
      </ng-container>
    </g>
    <g id="outerwear" appCoordinationSvgImages [form]="form" [fieldType]="CoordinationFieldTypes.OUTERWEAR" [items]="1" #outerwear="appCoordinationSvgImages">
      <ng-container *ngIf="outerwear.images[0]">
        <polygon class="cls-1" points="533.37 646.52 376.56 614.35 416.06 413.5 572.87 445.66 533.37 646.52" />
        <g class="cls-5">
          <image appCoordinationSvgImage [image$]="outerwear.images[0]" [clipPathRect]="clipPathRect4" />
        </g>
      </ng-container>
    </g>
    <g id="legwear" appCoordinationSvgImages [form]="form" [fieldType]="CoordinationFieldTypes.LEGWEAR" [items]="1" #legwear="appCoordinationSvgImages">
      <ng-container *ngIf="legwear.images[0]">
        <rect class="cls-1" x="195.11" y="528.55" width="118.22" height="208.19" />
        <g class="cls-6">
          <image appCoordinationSvgImage [image$]="legwear.images[0]" [clipPathRect]="clipPathRect5" />
        </g>
      </ng-container>
    </g>
    <g id="bag" appCoordinationSvgImages [form]="form" [fieldType]="CoordinationFieldTypes.BAG" [items]="1" #bag="appCoordinationSvgImages">
      <ng-container *ngIf="bag.images[0]">
        <rect class="cls-1" x="15.17" y="263.86" width="127.64" height="127.64" transform="translate(51.46 -8.26) rotate(8.87)" />
        <g class="cls-7">
          <image appCoordinationSvgImage [image$]="bag.images[0]" [clipPathRect]="clipPathRect6" />
        </g>
      </ng-container>
    </g>
    <g id="underwear" appCoordinationSvgImages [form]="form" [fieldType]="CoordinationFieldTypes.UNDERWEAR" [items]="2" #underwear="appCoordinationSvgImages">
      <ng-container *ngIf="underwear.images[0]">
        <rect class="cls-1" x="18.99" y="537.81" width="166.03" height="113.28" transform="translate(122.15 -8.35) rotate(11.65)" />
        <g class="cls-8">
          <image appCoordinationSvgImage [image$]="underwear.images[0]" [clipPathRect]="clipPathRect7" />
        </g>
      </ng-container>
      <ng-container *ngIf="underwear.images[1]">
        <rect class="cls-1" x="7.32" y="647.92" width="166.03" height="113.28" transform="translate(34.8 -3.59) rotate(2.82)" />
        <g class="cls-9">
          <image appCoordinationSvgImage [image$]="underwear.images[1]" [clipPathRect]="clipPathRect8" />
        </g>
      </ng-container>
    </g>
    <g id="others" appCoordinationSvgImages [form]="form" [fieldType]="CoordinationFieldTypes.OTHERS" [items]="3" #others="appCoordinationSvgImages">
      <ng-container *ngIf="others.images[0]">
        <rect class="cls-1" x="438.49" y="32.76" width="131.82" height="81.6" transform="translate(62.03 -179.7) rotate(21.49)" />
        <g class="cls-10">
          <image appCoordinationSvgImage [image$]="others.images[0]" [clipPathRect]="clipPathRect9" />
        </g>
      </ng-container>
      <ng-container *ngIf="others.images[1]">
        <rect class="cls-1" x="114.75" y="730.94" width="131.22" height="85.25" transform="translate(137.89 -19.61) rotate(10.06)" />
        <g class="cls-11">
          <image appCoordinationSvgImage [image$]="others.images[1]" [clipPathRect]="clipPathRect10" />
        </g>
      </ng-container>
      <ng-container *ngIf="others.images[2]">
        <rect class="cls-1" x="408.99" y="590.48" width="159.54" height="111.42" transform="translate(-42.84 34.76) rotate(-3.9)" />
        <g class="cls-12">
          <image appCoordinationSvgImage [image$]="others.images[2]" [clipPathRect]="clipPathRect11" />
        </g>
      </ng-container>
    </g>
    <g id="accessories" appCoordinationSvgImages [form]="form" [fieldType]="CoordinationFieldTypes.ACCESSORIES" [items]="5" #accessories="appCoordinationSvgImages">
      <ng-container *ngIf="accessories.images[0]">
        <rect class="cls-1" x="455.38" y="705.19" width="114" height="91" transform="translate(209.22 -106.14) rotate(14.83)" />
        <g class="cls-13">
          <image appCoordinationSvgImage [image$]="accessories.images[0]" [clipPathRect]="clipPathRect12" />
        </g>
      </ng-container>
      <ng-container *ngIf="accessories.images[1]">
        <rect class="cls-1" x="342.29" y="34.73" width="87.37" height="89.62" transform="translate(8.95 -35.15) rotate(5.28)" />
        <g class="cls-14">
          <image appCoordinationSvgImage [image$]="accessories.images[1]" [clipPathRect]="clipPathRect13" />
        </g>
      </ng-container>
      <ng-container *ngIf="accessories.images[2]">
        <rect class="cls-1" x="48.64" y="408.23" width="112.99" height="118.22" transform="translate(-125.02 47.23) rotate(-16.04)" />
        <g class="cls-15">
          <image appCoordinationSvgImage [image$]="accessories.images[2]" [clipPathRect]="clipPathRect14" />
        </g>
      </ng-container>
      <ng-container *ngIf="accessories.images[3]">
        <rect class="cls-1" x="430.57" y="330.82" width="88.66" height="87.5" transform="translate(189.33 -158.61) rotate(23.56)" />
        <g class="cls-16">
          <image appCoordinationSvgImage [image$]="accessories.images[3]" [clipPathRect]="clipPathRect15" />
        </g>
      </ng-container>
      <ng-container *ngIf="accessories.images[4]">
        <rect class="cls-1" x="66.04" y="169.89" width="88.66" height="87.5" transform="translate(-92.28 84.19) rotate(-30.11)" />
        <g class="cls-17">
          <image appCoordinationSvgImage [image$]="accessories.images[4]" [clipPathRect]="clipPathRect16" />
        </g>
      </ng-container>
    </g>
    <g id="shoes" appCoordinationSvgImages [form]="form" [fieldType]="CoordinationFieldTypes.SHOES" [items]="1" #shoes="appCoordinationSvgImages">
      <ng-container *ngIf="shoes.images[0]">
        <polygon class="cls-1" points="447.46 799.75 280.84 818.62 269.74 711.05 436.36 692.18 447.46 799.75" />
        <g class="cls-18">
          <image appCoordinationSvgImage [image$]="shoes.images[0]" [clipPathRect]="clipPathRect17" />
        </g>
      </ng-container>
    </g>
    <g id="headdress" appCoordinationSvgImages [form]="form" [fieldType]="CoordinationFieldTypes.HEADDRESS" [items]="1" #headdress="appCoordinationSvgImages">
      <ng-container *ngIf="headdress.images[0]">
        <rect class="cls-1" x="200.34" y="93.33" width="140.19" height="93.11" />
        <g class="cls-19">
          <image appCoordinationSvgImage [image$]="headdress.images[0]" [clipPathRect]="clipPathRect18" />
        </g>
      </ng-container>
    </g>
  </svg>
  <canvas #canvas [attr.width]="canvasWidth" [attr.height]="canvasHeight"></canvas>
  <!-- <button app-button class="circle very-small floordination-download-btn" color="accent" (click)="downloadFloordination()"
    [attr.aria-label]="'COORDINATION.FLOORDINATION.DOWNLOAD' | translate">
    <svg>
      <use href="#file-download" />
    </svg>
  </button> -->
</section>

<ng-template #icons let-type>
  <div class="icons" [ngSwitch]="type">
    <ng-container *ngSwitchCase="CoordinationFieldTypes.HEADDRESS">
      <img class="icon1" src="/assets/images/headdress1.svg" alt="" aria-hidden="true">
      <img class="icon2" src="/assets/images/headdress2.svg" alt="" aria-hidden="true">
    </ng-container>
    <ng-container *ngSwitchCase="CoordinationFieldTypes.HAIRSTYLE">
      <img class="icon1" src="/assets/images/hair1.svg" alt="" aria-hidden="true">
      <img class="icon2" src="/assets/images/hair2.svg" alt="" aria-hidden="true">
    </ng-container>
    <ng-container *ngSwitchCase="CoordinationFieldTypes.MAIN_PIECE">
      <img class="icon1" src="/assets/images/mainpiece1.svg" alt="" aria-hidden="true">
      <img class="icon2" src="/assets/images/mainpiece2.svg" alt="" aria-hidden="true">
    </ng-container>
    <ng-container *ngSwitchCase="CoordinationFieldTypes.TOPWEAR">
      <img class="icon1" src="/assets/images/topwear1.svg" alt="" aria-hidden="true">
      <img class="icon2" src="/assets/images/topwear2.svg" alt="" aria-hidden="true">
    </ng-container>
    <ng-container *ngSwitchCase="CoordinationFieldTypes.OUTERWEAR">
      <img class="icon1" src="/assets/images/outerwear1.svg" alt="" aria-hidden="true">
      <img class="icon2" src="/assets/images/outerwear2.svg" alt="" aria-hidden="true">
    </ng-container>
    <ng-container *ngSwitchCase="CoordinationFieldTypes.BAG">
      <img class="icon1" src="/assets/images/bag1.svg" alt="" aria-hidden="true">
      <img class="icon2" src="/assets/images/bag2.svg" alt="" aria-hidden="true">
    </ng-container>
    <ng-container *ngSwitchCase="CoordinationFieldTypes.ACCESSORIES">
      <img class="icon1" src="/assets/images/accessories1.svg" alt="" aria-hidden="true">
      <img class="icon2" src="/assets/images/accessories2.svg" alt="" aria-hidden="true">
      <img class="icon3" src="/assets/images/accessories3.svg" alt="" aria-hidden="true">
    </ng-container>
    <ng-container *ngSwitchCase="CoordinationFieldTypes.LEGWEAR">
      <img class="icon1" src="/assets/images/socks1.svg" alt="" aria-hidden="true">
      <img class="icon2" src="/assets/images/socks2.svg" alt="" aria-hidden="true">
    </ng-container>
    <ng-container *ngSwitchCase="CoordinationFieldTypes.SHOES">
      <img class="icon1" src="/assets/images/shoes1.svg" alt="" aria-hidden="true">
      <img class="icon2" src="/assets/images/shoes2.svg" alt="" aria-hidden="true">
    </ng-container>
    <ng-container *ngSwitchCase="CoordinationFieldTypes.UNDERWEAR">
      <img class="icon1" src="/assets/images/underwear1.svg" alt="" aria-hidden="true">
      <img class="icon2" src="/assets/images/underwear2.svg" alt="" aria-hidden="true">
    </ng-container>
  </div>
</ng-template>

<ng-template #modal let-ref let-data="data">
  <app-default-dialog-content [ref]="ref">
    <div [appDialognInnerContent]="ref" [padding]="32">
      <div class="modal-header">
        <span>{{ coordinationTypeTranslateLabels[data.control.value.type] | translate }}</span>
        <img *ngIf="data.control.value.type" [attr.src]="'assets/images/' + data.control.value.type + '.svg'" alt="Coordination section icon" aria-hidden="true" class="type-img">
      </div>
      <div class="layout column" *ngIf="data.key === 'toptitle'">
        <app-form-field>
          <label appLabel>
            {{ 'COORDINATION.FIELDS.LABELS.TITLE' | translate }}
          </label>
          <input type="text" appInput [formControl]="data.control.controls.title" required>
          <p class="error visualy-hidden" *ngIf="data.control.controls.title.errors?.required">{{ 'FORM.ERRORS.REQUIRED' | translate }}</p>
        </app-form-field>
        <app-form-field>
          <label appLabel>
            {{ 'COORDINATION.FIELDS.LABELS.EVENT' | translate }}
          </label>
          <input type="text" appInput [formControl]="data.control.controls.event">
        </app-form-field>
        <app-form-field>
          <label appLabel>
            {{ 'COORDINATION.FIELDS.LABELS.THEME' | translate }}
          </label>
          <input type="text" appInput [formControl]="data.control.controls.theme">
        </app-form-field>
        <app-form-field>
          <label appLabel>
            {{ 'COORDINATION.FIELDS.LABELS.DATE' | translate }}
          </label>
          <input type="date" appInput [formControl]="data.control.controls.date">
        </app-form-field>
        <app-form-field>
          <label appLabel>
            {{ 'COORDINATION.FIELDS.LABELS.PLACE' | translate }}
          </label>
          <input type="text" appInput [formControl]="data.control.controls.place">
        </app-form-field>
      </div>
      <ng-container *ngIf="data.key === 'fields'">
        <fieldset>
          <legend class="visualy-hidden">Available items</legend>
          <ng-container *ngIf="!(data.control.controls.value | isFormArray); else values">
            <div class="items">
              <label class="item">
                <input type="radio" [value]="null" [formControl]="data.control.controls.value" class="visualy-hidden">
                <div class="img-container">
                  <p [innerHTML]="'COORDINATION.FIELDS.EMPTY_FIELD' | translate"></p>
                </div>
              </label>
              <label class="item" *ngFor="let item of data.items">
                <input type="radio" [value]="item.id" [formControl]="data.control.controls.value" class="visualy-hidden">
                <div class="img-container">
                  <img [attr.src]="item.photo" alt="Item photo">
                </div>
              </label>
            </div>
          </ng-container>
          <ng-template #values>
            <div class="items">
              <label class="item" *ngFor="let item of data.items">
                <input type="checkbox" [value]="item.id" [checked]="item.id | isChecked:data.control.controls.value"
                  (change)="checkItemMultiple($event, data.control.controls.value)" class="visualy-hidden">
                <div class="img-container">
                  <img [attr.src]="item.photo" alt="Item photo">
                </div>
              </label>
            </div>
          </ng-template>
        </fieldset>
        <app-form-field *ngIf="data.control.value.type === CoordinationFieldTypes.HAIRSTYLE">
          <label appLabel>{{ 'COORDINATION.FIELDS.LABELS.CUSTOM_TEXT' | translate }}</label>
          <input type="text" appInput [formControl]="data.control.controls.customText">
        </app-form-field>
      </ng-container>
      <div *ngIf="data.key === 'memo'">
        <app-form-field>
          <label appLabel>{{ 'COORDINATION.FIELDS.LABELS.MEMO' | translate }}</label>
          <textarea [formControl]="data.control.controls.memo" rows="5"></textarea>
        </app-form-field>
      </div>
    </div>
  </app-default-dialog-content>
</ng-template>
